# Nidoran Stat Requirements

### Overview

We catch Nidoran at level 3 or 4, west of Viridian City (level 2's are not acceptable for the route). Level 4 Nidorans have a bit more exp to start, allowing them to level up slightly earlier in a couple places - mostly helpful on Route 3.

Upon defeating Brock, our Nidoran reaches level 8 via exp sharing, and we can check his stats definitively for the first time. While possible to see them earlier by pausing, we can't tell what kind of stats they will become until we have observed a few level ups.

### Stats

Pokémon stats are described by HP, attack, defense, speed, and special. Special is used as both an attack and defense measurement for attacks designated as "special" internally.

The minimum stats at level 8 are **25** HP, **14** attack, **11** defense, **12** speed, **11** special.

The maximum stats at level 8 are **27** HP, **16** attack, **14** defense, **15** speed, **13** special.

HP and defense are almost irrelevant to the route. Having better than 11 defense is helpful for Shorts Kid's Rattata - as we are in the process of catching up Nidoran's level, and he has high attack, this fight is quite dangerous.

### Requirements

We have stringent requirements for Nidoran's stats. High stats make the run significantly faster, and greatly increases our chances of survival.

The general requirements are **15-16** attack, **14-15** speed, **12-13** special. In addition, either attack must be 16 or speed must be 15. The reason for this is that if we reach Misty with a 15 attack, 14 speed Nidoran, our chances of survival are very bad. In this case, it is very likely that Starmie will both outspeed us, and require 3 hits from thrash.

### Probability

The following is the probability of a Nidoran stats being acceptable after defeating Brock. They are complicated slightly since we require 16 attack AND/OR 15 speed.

Equations are written as: probability of each *Attack* x *Speed* x *Special* multiplied together.

Chance of a **16 attack, 15 speed** Nidoran: 5/16 x 4/16 x 12/16 = 5.859375%

Chance of a **16 attack, 14 speed** Nidoran: 5/16 x 6/16 x 12/16 = 8.7890625%

Chance of a **15 attack, 15 speed** Nidoran: 6/16 x 4/16 x 12/16 = 7.03125%

Summed together gives us our chances of an acceptable Nidoran: 21.6796875% ≈ **22%**

### DV Charts

The probability of the above stats is derived from the DV values, which describe the possible stats for Nidoran to have.

**Level 8** (after Brock)

| Skill\DV | 0  | 1  | 2  | 3  | 4  | 5  | 6  | 7  | 8  | 9  | 10 | 11 | 12 | 13 | 14 | 15 |
|----------|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|
| Attack   | 14 | 14 | 14 | 14 | 14 | 15 | 15 | 15 | 15 | 15 | 15 | 16 | 16 | 16 | 16 | 16 |
| Defense  | 11 | 11 | 11 | 12 | 12 | 12 | 12 | 12 | 12 | 13 | 13 | 13 | 13 | 13 | 13 | 14 |
| Speed    | 13 | 13 | 13 | 13 | 13 | 13 | 14 | 14 | 14 | 14 | 14 | 14 | 15 | 15 | 15 | 15 |
| Special  | 11 | 11 | 11 | 11 | 12 | 12 | 12 | 12 | 12 | 12 | 13 | 13 | 13 | 13 | 13 | 13 |

**Level 23** (learn Thrash)

| Skill\DV | 0  | 1  | 2  | 3  | 4  | 5  | 6  | 7  | 8  | 9  | 10 | 11 | 12 | 13 | 14 | 15 |
|----------|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|
| Attack   | 49 | 50 | 50 | 51 | 51 | 51 | 52 | 52 | 53 | 53 | 54 | 54 | 55 | 55 | 56 | 56 |
| Defense  | 42 | 43 | 43 | 44 | 44 | 45 | 45 | 45 | 46 | 46 | 47 | 47 | 48 | 48 | 49 | 49 |
| Speed    | 46 | 47 | 47 | 48 | 48 | 48 | 49 | 49 | 50 | 50 | 51 | 51 | 52 | 52 | 53 | 53 |
| Special  | 41 | 42 | 42 | 42 | 43 | 43 | 44 | 44 | 45 | 45 | 46 | 46 | 47 | 47 | 48 | 48 |

If there's one thing to take away from these charts, it's that Nidoran's stats have differentiated much farther at level 23 than level 8. A Nidoran that appears perfect at level 8, may not be quite so promising at 23 after all.
